<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <!-- <record model="ir.rule" id="pos_order_user_wise_warehouse_rule">
            <field name="name">Create Pos Order User</field>
            <field name="model_id" ref="model_pos_order"/>
            <field name="global" eval="True"/>
            <field name="domain_force">[('warehouse_id','=',user.warehouse_id.id)]</field>
        </record> -->

        <!-- <record model="ir.rule" id="pos_session_user_wise_warehouse_rule">
            <field name="name">Create Pos Session User</field>
            <field name="model_id" ref="model_pos_session"/>
            <field name="global" eval="True"/>
            <field name="domain_force">[('config_id.stock_location_id','=',user.warehouse_id.lot_stock_id.id)]</field>
        </record>

        <record model="ir.rule" id="pos_config_user_wise_warehouse_rule">
            <field name="name">Create Pos Config</field>
            <field name="model_id" ref="model_pos_config"/>
            <field name="global" eval="True"/>
            <field name="domain_force">[('stock_location_id','=',user.warehouse_id.lot_stock_id.id)]</field>
        </record> -->

<!--        <record id="point_of_sale_rule_user_config" model="ir.rule">-->
<!--            <field name="name">Show only available POS configs for User</field>-->
<!--            <field name="model_id" ref="model_pos_config"/>-->
<!--            <field name="domain_force">[('id','in',user.pos_config_ids.ids)]</field>-->
<!--            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_user'))]"/>-->
<!--        </record>-->

        <record id="point_of_sale_rule_user_config" model="ir.rule">
            <field name="name">Show only available POS configs for User</field>
            <field name="model_id" ref="model_pos_config"/>
            <field name="domain_force">user.get_user_pos_config()</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_user'))]"/>
        </record>

        <record id="point_of_sale_rule_pos_session_user" model="ir.rule">
            <field name="name">Show POS Session for User(Access wise))</field>
            <field name="model_id" ref="model_pos_session"/>
            <field name="domain_force">[('config_id','in',user.pos_config_ids.ids)]</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_user'))]"/>
        </record>

        <record id="point_of_sale_rule_manager_config" model="ir.rule">
            <field name="name">All POS configs for Manager.</field>
            <field name="model_id" ref="model_pos_config"/>
            <field name="domain_force">[(1, '=', 1)]</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_manager'))]"/>
        </record>

        <record id="point_of_sale_rule_user_order" model="ir.rule">
            <field name="name">Show POS Orders only for available POS configs.</field>
            <field name="model_id" ref="model_pos_order"/>
            <field name="domain_force">[('config_id','in',user.pos_config_ids.ids)]</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_user'))]"/>
        </record>

        <record id="point_of_sale_rule_manager_order" model="ir.rule">
            <field name="name">Show All POS Orders for Manager.</field>
            <field name="model_id" ref="model_pos_order"/>
            <field name="domain_force">[(1, '=', 1)]</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_manager'))]"/>
        </record>

        <record id="point_of_sale_rule_user_order_report" model="ir.rule">
            <field name="name">Show POS Orders Report only for available POS configs.</field>
            <field name="model_id" ref="model_report_pos_order"/>
            <field name="domain_force">[('config_id','in',user.pos_config_ids.ids)]</field>
            <field name="groups" eval="[(4,ref('point_of_sale.group_pos_user'))]"/>
        </record>

        <record id="point_of_sale_rule_user_product_location_wise" model="ir.rule">
            <field name="name">Show POS Product Location wise only for available POS configs.</field>
            <field name="model_id" ref="model_product_template"/>
            <field name="domain_force">['|',('product_all','=',True),('pos_config_ids','in',user.pos_config_ids.ids)]</field>
        </record>

       <!-- purchase order rule for user.....ajay -->
        <record id="purchase_order_rule_for_user" model="ir.rule">
            <field name="name">purchase order for users</field>
            <field name="model_id" ref="purchase.model_purchase_order"/>
            <field name="groups" eval="[(4, ref('purchase.group_purchase_user'))]"/>
            <field name="domain_force">[('warehouse_id','=',user.warehouse_id.id)]</field>
        </record>

       <!-- purchase order rule for manager.....ajay -->
        <record id="purchase_order_rule_for_manager" model="ir.rule">
            <field name="name">purchase order for manager</field>
            <field name="model_id" ref="purchase.model_purchase_order"/>
            <field name="domain_force">[(1, '=', 1)]</field>
            <field name="groups" eval="[(4, ref('purchase.group_purchase_manager'))]"/>
        </record>

       <record id="stock_picking_rule_user_own_picking" model="ir.rule">
            <field name="name">Stock Picking by Warehouse</field>
            <field name="model_id" ref="model_stock_picking"/>
            <field name="domain_force">['|',('location_id','=',user.warehouse_id.lot_stock_id.id),('location_dest_id','=',user.warehouse_id.lot_stock_id.id)]</field>
        </record>

        <record id="mrp_production_rule_user_own_picking" model="ir.rule">
            <field name="name">MRP by Warehouse</field>
            <field name="model_id" ref="model_mrp_production"/>
            <field name="domain_force">['|',('location_src_id','=',user.warehouse_id.lot_stock_id.id),('location_dest_id','=',user.warehouse_id.lot_stock_id.id)]</field>
        </record>

         <record id="group_stock_picking_dashboard" model="res.groups">
            <field name="name">Stock Dashboard</field>
            <field name="category_id" ref="base.module_category_hidden"/>
        </record>




    </data>
</odoo>
